/*
 *  IWeigherSparseMatrix.java - SE@SA Lab 2006
 *  
 *  This file is part of COCONUT.
 *
 *  COCONUT is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  COCONUT is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with COCONUT; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package org.sesalab.IR.documentSpace.weigher;

import org.sesalab.IR.matrix.ISparseMatrix;

/**
 * Definisce l'interfaccia di una classe per la pesatura della matrice
 * termini-documenti
 * 
 * @author Paola Sgueglia
 */
public interface IWeigherSparseMatrix {
	/**
	 * Consente di pesare i termini all'interno della matrice termini-documenti
	 * 
	 * @param pSparseMatrix
	 *        La matrice termini-documenti da pesare
	 * @return La matrice termini-documenti pesata
	 */
	public ISparseMatrix weigh(ISparseMatrix pSparseMatrix);
}