/*
 *  IncorrectVectorSpaceException.java - SE@SA Lab 2006
 *  
 *  This file is part of COCONUT.
 *
 *  COCONUT is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  COCONUT is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with COCONUT; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package org.sesalab.IR.model.exception;

import java.lang.Exception;

/**
 * Classe che rappresenta l'eccezione generata quando si tenta di lavorare con
 * vettori di dimensioni non valide.
 */

public class IncorrectVectorSpaceException extends Exception {

	private static final long serialVersionUID = 1L;

	/**
	 * Genera l'eccezione con un messagio di errore di default.
	 */

	public IncorrectVectorSpaceException() {
		super("Incorrect dimension!");
	}

	/**
	 * Genera l'eccezione con un messagio di errore associato.
	 * 
	 * @param pMessage
	 *        Il messaggio di errore che deve essere associato all'eccezione.
	 */

	public IncorrectVectorSpaceException(String pMessage) {
		super(pMessage);
	}
}