/*
 *  IVectorSimilarityPerformer.java - SE@SA Lab 2006
 *  
 *  This file is part of COCONUT.
 *
 *  COCONUT is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  COCONUT is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with COCONUT; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package org.sesalab.IR.model.vectorSimilarityPerformer;

import org.sesalab.IR.model.exception.IncorrectVectorSpaceException;

/**
 * Definisce l'interfaccia di un classe addetta al calcolo del valore di
 * somiglianza tra documenti (rappresentati da vettori)
 * 
 * @author Paola Sgueglia
 */
public interface IVectorSimilarityPerformer {

	/**
	 * Calcola la somiglianza tra due documenti rappresentati da vettori
	 * 
	 * @param source
	 *        Il documento source
	 * @param target
	 *        Il documento target
	 * @return Il valore di somiglianza tra il documento source e il documento
	 *         target
	 * @throws IncorrectVectorSpaceException
	 *         Generata quando i vettori appartengono a spazi diversi
	 */
	public double calculateSimilarity(double[] source, double[] target) throws IncorrectVectorSpaceException;

}
