/*
 *  ILexProcessing.java - SE@SA Lab 2006
 *  
 *  This file is part of COCONUT.
 *
 *  COCONUT is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  COCONUT is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with COCONUT; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package org.sesalab.IR.parser;

import java.io.IOException;
import java.util.Map;

/**
 * Definisce l'interfaccia di un parser
 * 
 * @author Paola Sgueglia
 */
public interface ILexProcessing {

	/**
	 * Provvede all'analisi lessicale di un nuovo documento.
	 * 
	 * @param pDocumentFileName
	 *        Nome del file del documento da analizzare.
	 * @return Una <code>HashMap<String, Integer></code> contenente le parole
	 *         presenti nel documento con il rispettivo numero di occorrenze (<code>key = parola - object = occorrenze</code>)
	 * @throws IOException
	 */
	public Map<String, Integer> analize(String pDocumentFileName) throws IOException;
}
