/*
 *  ICutter.java - SE@SA Lab 2006
 *  
 *  This file is part of COCONUT.
 *
 *  COCONUT is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  COCONUT is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with COCONUT; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package org.sesalab.IR.rankedList.cutter;

import org.sesalab.IR.rankedList.IRankedList;

/**
 * Fornisce l'interfaccia per un algortimo di taglio
 * 
 * @author Paola Sgueglia
 */
public interface ICutter {
	/**
	 * Utilizzata per recuperare tutti gli elementi della ranked list
	 */
	public static double ALL = -1;
	
	/**
	 * Consente di tagliare una ranked list
	 * 
	 * @param pRankedList
	 *        La ranked list da tagliare
	 * @param pThreshold
	 *        Il punto in cui tagliare
	 * @return La ranked list tagliata
	 */
	public IRankedList cut(IRankedList pRankedList, double pThreshold);
}
