package traceability.links;

/**
 * Represents the granularity of the source element of a traceability link.
 * 
 * @author Sam Klock
 *
 */
public enum Granularity {
	/**
	 * Method-level granularity.
	 */
	Method,
	/**
	 * Class-level granularity.
	 */
	Class,
	/**
	 * Package-level granularity.
	 */
	Package,
	/**
	 * File-level granularity.
	 */
	File;
	
	/*
	 * (non-Javadoc)
	 * @see java.lang.Enum#toString()
	 */
	@Override
	public String toString() {
		switch(this) {
		case Method: return "Method";
		case Class: return "Class";
		case Package: return "Package";
		case File: return "File";
		default: return "<OTHER>";
		}
	}
}
