package traceability.util;

import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.events.SelectionListener;

/**
 * Convenience class to avoid implementing empty <code>widgetDefaultSelected</code> methods 
 * in selection listeners throughout the codebase.
 * @author Sam Klock
 *
 */
public abstract class TraceabilitySelectionListener implements
		SelectionListener {

	/**
	 * Does nothing.
	 */
	@Override
	public void widgetDefaultSelected(SelectionEvent e) {
		//Nothing
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.swt.events.SelectionListener#widgetSelected(org.eclipse.swt.events.SelectionEvent)
	 */
	@Override
	public abstract void widgetSelected(SelectionEvent e);

}
